Index: /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro	(revision 45)
+++ /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro	(revision 46)
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph sst_validation_scatter_2000_2009_v50 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;
+;       sst_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_2000_2009_erai_v50.txt"];
+;       sst_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_trop_v50.txt"];
+;       sst_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_oaflx_v50.txt"];
+;       sst_tmi [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_tmi_v50.txt"];
+;       sst_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_ncep_v50.txt"];
+;       sst_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_ncep1_v50.txt"];
+;       sst_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_sst_19890101_20091231_oafluxgrid.nc"];
+;       sst_tropflux_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_sst_19890101_20091231_v20.nc"];
+;       oaflux_basic [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/OAFlux_basic_variables_1985_2009.nc"];
+;       sst_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_NCEP2_global_monthly_1989_2009.nc"];
+;       sst_tmi_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/tmi_OI_oafluxgrid_30N30S.nc"];
+;       sst_ncep1_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_ncep1_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/WHOTS_validation_net_2004_2007_all_v10.ps"];
+;
+;       sst_validation_scatter_2000_2009_v50 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro",
+;       label="${TROPFLUX}/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro"];
+;
+;       {sst_erai sst_erai_oafluxgrid sst_tropflux_2 oaflux_basic sst_ncep2 sst_tmi_2 sst_ncep1_2} -> {sst_validation_scatter_2000_2009_v50} -> {sst_tropflux sst_oaflux sst_tmi sst_ncep sst_ncep figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +59,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> sst_validation_scatter_2000_2009_v50, date1, date2
+;
+; TODO
+; ====
+;
+; ++ plus de licences sur cratos
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +83,10 @@
 ; $Id$
 ;
+; - fplod 20110420T131533Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,14 +95,10 @@
 ;-
 pro sst_validation_scatter_2000_2009_v50, date1, date2
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
@@ -66,15 +122,15 @@
 close,/all
 
-fi_sst_erai='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_erai_v50.txt'
+fi_sst_erai=tropflux_id_env+'sst_2000_2009_erai_v50.txt'
 openw,1,fi_sst_erai
-fi_sst_trop='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_trop_v50.txt'
+fi_sst_trop=tropflux_id_env+'sst_2000_2009_trop_v50.txt'
 openw,2,fi_sst_trop
-fi_sst_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_oaflx_v50.txt'
+fi_sst_oaflx=tropflux_id_env+'sst_2000_2009_oaflx_v50.txt'
 openw,3,fi_sst_oaflx
-fi_sst_ncep='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep_v50.txt'
+fi_sst_ncep=tropflux_id_env+'sst_2000_2009_ncep_v50.txt'
 openw,4,fi_sst_ncep
-fi_sst_tmi='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_tmi_v50.txt'
+fi_sst_tmi=tropflux_id_env+'sst_2000_2009_tmi_v50.txt'
 openw,5,fi_sst_tmi
-fi_sst_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep1_v50.txt'
+fi_sst_ncep1=tropflux_id_env+'sst_2000_2009_ncep1_v50.txt'
 openw,6,fi_sst_ncep1
 
@@ -90,20 +146,20 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_sst_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_sst_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('sst',date1,date2,file=file,/nostr) & unc=unc-273.15
 help, unc
 
-file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231_v20.nc'
+file=tropflux_id_env+'TropFlux_sst_19890101_20091231_v20.nc'
 initncdf, file
 cor=read_ncdf('sst',date1,date2,file=file,/nostr) & cor=cor-273.15
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
+file=tropflux_id_env+'OAFlux_basic_variables_1985_2009.nc'
 initncdf, file
 oaf=read_ncdf("sst", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/sst_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'sst_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 nce=read_ncdf("sst", date1-1, date2, file=fi,/nostr)
@@ -111,10 +167,10 @@
 help, nce
 
-fi='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/tmi_OI_oafluxgrid_30N30S.nc'
+fi=tropflux_id_env+'tmi_OI_oafluxgrid_30N30S.nc'
 initncdf, fi
 sst_tmi=read_ncdf("sst", date1, date2, file=fi,/nostr)
 help, sst_tmi
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/sst_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'sst_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=read_ncdf("sst", date1, date2, file=file,/nostr)
@@ -123,6 +179,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -196,5 +250,5 @@
 close,/all
 
-fi_sst_erai='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_erai.txt'
+fi_sst_erai=tropflux_id_env+'sst_2000_2009_v50_erai.txt'
 res=read_ascii(fi_sst_erai,data_start=1)
 ff=res.field1
@@ -222,5 +276,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_trop='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_trop.txt'
+fi_sst_trop=tropflux_id_env+'sst_2000_2009_v50_trop.txt'
 res=read_ascii(fi_sst_trop,data_start=1)
 ff=res.field1
@@ -249,5 +303,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_oaflx.txt'
+fi_sst_oaflx=tropflux_id_env+'sst_2000_2009_v50_oaflx.txt'
 res=read_ascii(fi_sst_oaflx,data_start=1)
 ff=res.field1
@@ -278,5 +332,5 @@
 
 
-fi_sst_ncep='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_ncep.txt'
+fi_sst_ncep=tropflux_id_env+'sst_2000_2009_v50_ncep.txt'
 res=read_ascii(fi_sst_ncep,data_start=1)
 ff=res.field1
@@ -306,5 +360,5 @@
 
 
-fi_sst_tmi='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_tmi.txt'
+fi_sst_tmi=tropflux_id_env+'sst_2000_2009_v50_tmi.txt'
 res=read_ascii(fi_sst_tmi,data_start=1)
 ff=res.field1
@@ -333,5 +387,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_v50_ncep1.txt'
+fi_sst_ncep1=tropflux_id_env+'sst_2000_2009_v50_ncep1.txt'
 res=read_ascii(fi_sst_ncep1,data_start=1)
 ff=res.field1
@@ -365,43 +419,3 @@
 spawn, 'mv '+psdir+'idl.ps '+fig
 spawn, 'gv '+fig
-return
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig3/statistics_3var_v1.pro
===================================================================
--- /trunk/src/paper01/fig3/statistics_3var_v1.pro	(revision 45)
+++ /trunk/src/paper01/fig3/statistics_3var_v1.pro	(revision 46)
@@ -13,4 +13,18 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :ref:`net_flux_validation_scatter_2000_2007.pro`
+; :ref:`air_validation_scatter_2000_2009_v50.pro`
+; :ref:`q2m_validation_scatter_2000_2009_v50.pro`
+; :ref:`sst_validation_scatter_2000_2009_v50.pro`
+; :ref:`ws_validation_scatter_2000_2009_v50.pro`
+; :ref:`air_validation_scatter_2000_2009_basin.pro`
+; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
+; :ref:`sst_validation_scatter_2000_2009_basin.pro`
+; :ref:`ws_validation_scatter_2000_2009_basin.pro`
+; :ref:`lhf_validation_scatter_2000_2009.pro`
+; :ref:`shf_validation_scatter_2000_2009.pro`
+; :ref:`lwr_validation_scatter_2000_2007.pro`
+; :ref:`swr_validation_scatter_2000_2007.pro`
 ;
 ; EXAMPLES
@@ -34,11 +48,8 @@
 ;
 ;-
-
-
 pro statistics_3var_v1, tao,var1,var2, $
     cor1, cor2, bias1, bias2, std1, std2, rmsd1, rmsd2
 
-
-@common
+@cm_tropflux
 x=tao & y=var1 & z=var2
 
Index: /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro	(revision 45)
+++ /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro	(revision 46)
@@ -9,8 +9,46 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph ws_validation_scatter_2000_2009_v50 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;
+;       ws_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_2000_2009_erai_v50.txt"];
+;       ws_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_trop_v50.txt"];
+;       ws_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_oaflx_v50.txt"];
+;       ws_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_ncep_v50.txt"];
+;       ws_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_ncep1_v50.txt"];
+;       ws_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_ws_19890101_20091231_oafluxgrid.nc"];
+;       ws_tropflux_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_ws_19890101_20091231_v20.nc"];
+;       oaflux_basic [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/OAFlux_basic_variables_1985_2009.nc"];
+;       uwind_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/uwind_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       vwind_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/bwind_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       ws_tmi [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/zonal_wind_speed_oafluxgrid_30N30S.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_validation_scatter_2000_2009_v50.ps"];
+;
+;       ws_validation_scatter_2000_2009_v50 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro",
+;       label="${TROPFLUX}/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro"];
+;
+;       {ws_erai ws_erai_oafluxgrid ws_tropflux_2 oaflux_basic ws_ncep2 ws_tmi_2 ws_ncep1_2} -> {ws_validation_scatter_2000_2009_v50} -> {ws_tropflux ws_oaflux ws_tmi ws_ncep ws_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +58,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> ws_validation_scatter_2000_2009_v50, date1, date2
+;
+; TODO
+; ====
+;
+; ++ plus de licences sur cratos
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ;
@@ -30,4 +83,10 @@
 ; $Id$
 ;
+; - fplod 20110420T132401Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,15 +94,11 @@
 ;
 ;-
-pro ws_validation_scatter_2000_2009_v50,date1,date2
-@common
-
+pro ws_validation_scatter_2000_2009_v50, date1, date2
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
@@ -68,15 +123,15 @@
 close,/all
 
-fi_ws_erai='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_erai_v50.txt'
+fi_ws_erai=tropflux_id_env+'ws_2000_2009_erai_v50.txt'
 openw,1,fi_ws_erai
-fi_ws_trop='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_trop_v50.txt'
+fi_ws_trop=tropflux_id_env+'ws_2000_2009_trop_v50.txt'
 openw,2,fi_ws_trop
-fi_ws_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_oaflx_v50.txt'
+fi_ws_oaflx=tropflux_id_env+'ws_2000_2009_oaflx_v50.txt'
 openw,3,fi_ws_oaflx
-fi_ws_ncep='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep_v50.txt'
+fi_ws_ncep=tropflux_id_env+'ws_2000_2009_ncep_v50.txt'
 openw,4,fi_ws_ncep
-fi_ws_tmi='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_tmi_v50.txt'
+fi_ws_tmi=tropflux_id_env+'ws_2000_2009_tmi_v50.txt'
 openw,5,fi_ws_tmi
-fi_ws_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep1_v50.txt'
+fi_ws_ncep1=tropflux_id_env+'ws_2000_2009_ncep1_v50.txt'
 openw,6,fi_ws_ncep1
 
@@ -91,5 +146,5 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_ws_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_ws_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 u=read_ncdf('u10',date1,date2,file=file,/nostr)
@@ -98,18 +153,18 @@
 help, unc
 
-file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_ws_19890101_20091231_v20.nc'
+file=tropflux_id_env+'TropFlux_ws_19890101_20091231_v20.nc'
 initncdf, file
 cor=read_ncdf('ws',date1,date2,file=file,/nostr)
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
+file=tropflux_id_env+'OAFlux_basic_variables_1985_2009.nc'
 initncdf, file
 oaf=read_ncdf("wind", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/uwind_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'uwind_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 u=read_ncdf("u", date1-1, date2, file=fi,/nostr)
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/vwind_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'vwind_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 v=read_ncdf("v", date1-1, date2, file=fi,/nostr)
@@ -126,5 +181,5 @@
 help, ws_tmi
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/wind_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'wind_ncep1_19890101_20091231.nc'
 initncdf, file
 u=read_ncdf("u", date1, date2, file=file,/nostr)
@@ -134,6 +189,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -201,5 +254,5 @@
 endfor
 close,/all
-fi_ws_erai='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_erai_v50.txt'
+fi_ws_erai=tropflux_id_env+'ws_2000_2009_erai_v50.txt'
 res=read_ascii(fi_ws_erai,data_start=1)
 ff=res.field1
@@ -227,5 +280,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_trop='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_trop_v50.txt'
+fi_ws_trop=tropflux_id_env+'ws_2000_2009_trop_v50.txt'
 res=read_ascii(fi_ws_trop,data_start=1)
 ff=res.field1
@@ -254,5 +307,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_oaflx_v50.txt'
+fi_ws_oaflx=tropflux_id_env+'ws_2000_2009_oaflx_v50.txt'
 res=read_ascii(fi_ws_oaflx,data_start=1)
 ff=res.field1
@@ -283,5 +336,5 @@
 
 
-fi_ws_ncep='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep_v50.txt'
+fi_ws_ncep=tropflux_id_env+'ws_2000_2009_ncep_v50.txt'
 res=read_ascii(fi_ws_ncep,data_start=1)
 ff=res.field1
@@ -310,5 +363,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_tmi='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_tmi_v50.txt'
+fi_ws_tmi=tropflux_id_env+'ws_2000_2009_tmi_v50.txt'
 res=read_ascii(fi_ws_tmi,data_start=1)
 ff=res.field1
@@ -338,5 +391,5 @@
 
 
-fi_ws_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep1_v50.txt'
+fi_ws_ncep1=tropflux_id_env+'ws_2000_2009_ncep1_v50.txt'
 res=read_ascii(fi_ws_ncep1,data_start=1)
 ff=res.field1
@@ -370,43 +423,3 @@
 spawn, 'mv '+psdir+'idl.ps '+fig
 spawn, 'gv '+fig
-return
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro
===================================================================
--- /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro	(revision 45)
+++ /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _fig4_met_var_correction_scatter.pro
+; .. _fig4_met_var_correction_scatter.pro:
 ;
 ; ===================================
@@ -9,8 +9,33 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph fig4_met_var_correction_scatter {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_correction_final.txt"];
+;       t2m [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_correction_final.txt"];
+;       q2m [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_correction_final.txt"];
+;       ws  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_correction_final.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/fig4_met_var_correction_scatter.ps"];
+;
+;       fig4_met_var_correction_scatter [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro",
+;       label="${TROPFLUX}/src/paper01/fig4/fig4_met_var_correction_scatter.pro"];
+;
+;       {sst t2m q2m ws} -> {fig4_met_var_correction_scatter} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+;
+; :ref:`significance_test_99.pro`
 ;
 ; EXAMPLES
@@ -22,8 +47,25 @@
 ;  IDL> fig4_met_var_correction_scatter
 ;
+; TODO
+; ====
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T085113Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * make it work on cratos
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -32,12 +74,12 @@
 ;
 ;-
-
 pro fig4_met_var_correction_scatter
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-fi='/Users/pkb/work/MY_SAXO/flux_automat/sst_correction_final.txt'
+fi=tropflux_id_env+'sst_correction_final.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -66,5 +108,5 @@
 significance_test_99,mean,bias
 
-fi='/Users/pkb/work/MY_SAXO/flux_automat/t2m_correction_final.txt'
+fi=tropflux_id_env+'t2m_correction_final.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -94,5 +136,5 @@
 significance_test_99,mean,bias
 
-fi='/Users/pkb/work/MY_SAXO/flux_automat/q2m_correction_final.txt'
+fi=tropflux_id_env+'q2m_correction_final.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -120,5 +162,5 @@
 ;; significant test
 significance_test_99,mean,bias
-fi='/Users/pkb/work/MY_SAXO/flux_automat/ws_correction_final.txt'
+fi=tropflux_id_env+'ws_correction_final.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -150,7 +192,7 @@
 closeps
 
-fig='fig4_met_var_correction_scatter.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
+fig=tropflux_od_env+'fig4_met_var_correction_scatter.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 
 end
Index: /trunk/src/paper01/fig4/significance_test_99.pro
===================================================================
--- /trunk/src/paper01/fig4/significance_test_99.pro	(revision 45)
+++ /trunk/src/paper01/fig4/significance_test_99.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _significance_test_99.pro
+; .. _significance_test_99.pro:
 ;
 ; ========================
@@ -14,4 +14,7 @@
 ; :ref:`tropflux_profile.sh`
 ;
+; :ref:`fig10_swr_correction.pro`
+; :ref:`fig4_met_var_correction_scatter.pro`
+;
 ; EXAMPLES
 ; ========
@@ -24,4 +27,13 @@
 ;  IDL> sig_value=++
 ;  IDL> significance_test_99, x, y, sig_value
+;
+; TODO
+; ====
+;
+; coding rules
+;
+; complete description
+;
+; complete example
 ;
 ; EVOLUTIONS
Index: /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro
===================================================================
--- /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro	(revision 45)
+++ /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _fig5_gustiness_scatter.pro
+; .. _fig5_gustiness_scatter.pro:
 ;
 ; ==========================
@@ -6,7 +6,26 @@
 ; ==========================
 ;
-; ;
 ; DESCRIPTION
 ; ===========
+;
+; .. graphviz::
+;
+;    digraph fig5_gustiness_scatter {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       ws  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_gustiness_bias.txt"];
+;       sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/raw_sst_2000_2008_gustiness.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/fig5_gustiness_scatter.ps"];
+;
+;       fig5_gustiness_scatter [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig5/fig5_gustiness_scatter.pro",
+;       label="${TROPFLUX}/src/paper01/fig5/fig5_gustiness_scatter.pro"];
+;
+;       {ws sst} -> {fig5_gustiness_scatter} -> {figure}
+;    }
 ;
 ; SEE ALSO
@@ -14,4 +33,5 @@
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
 ;
 ; EXAMPLES
@@ -23,8 +43,25 @@
 ;  IDL> fig5_gustiness_scatter
 ;
+; TODO
+; ====
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T090057Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * make it work on cratos
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -34,10 +71,11 @@
 ;-
 pro fig5_gustiness_scatter
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-fi_ws='/Users/pkb/work/MY_SAXO/flux_automat/wind_gustiness_bias.txt'
+fi_ws=tropflux_id_env+'wind_gustiness_bias.txt'
 res=read_ascii(fi_ws,data_start=1)
 ff=res.field01
@@ -47,5 +85,5 @@
 print, correlate(erai_wind,gust)
 
-fi_sst='/Users/pkb/work/MY_SAXO/flux_automat/raw_sst_2000_2008_gustiness.txt'
+fi_sst=tropflux_id_env+'raw_sst_2000_2008_gustiness.txt'
 res=read_ascii(fi_sst,data_start=1)
 ff=res.field1
@@ -76,6 +114,6 @@
 print, a,b
 closeps
-fig='fig5_gustiness_scatter.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
+fig=tropflux_od_env+'fig5_gustiness_scatter.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro	(revision 45)
+++ /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _icoads_q2m_stats_paper.pro
+; .. _icoads_q2m_stats_paper.pro:
 ;
 ; ==========================
@@ -9,8 +9,35 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph icoads_q2m_stats_paper {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       sphum [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sphum_monthly_1960_2010_oafluxgrid.nc"];
+;       q2m_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_TropFlux_global_monthly_1989_2009.nc"];
+;       q2m_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_OAFlux_global_monthly_1989_2009.nc"];
+;       q2m_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_ERAI_global_monthly_1989_2009.nc"];
+;       q2m_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_NCEP2_global_monthly_1989_2009.nc"];
+;       q2m_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_NCEP1_global_monthly_1989_2009.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/icoads_q2m_stats_paper.ps"];
+;
+;       icoads_q2m_stats_paper [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro",
+;       label="${TROPFLUX}/src/paper01/fig6/icoads_q2m_stats_paper.pro"];
+;
+;       {sphum q2m_tropflux q2m_oaflux q2m_erai q2m_ncep2 q2m_ncep1} -> {icoads_q2m_stats_paper} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +49,17 @@
 ;  IDL> icoads_q2m_stats_paper
 ;
+; TODO
+; ====
+;
+; make it work (missing data)
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +67,9 @@
 ; $Id$
 ;
+; - fplod 20110420T090949Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +78,6 @@
 ;-
 pro icoads_q2m_stats_paper
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,31 +90,30 @@
 domdef, box
 
-file="/Volumes/Sanathana/ICOADS/Median/sphum_monthly_1960_2010_oafluxgrid.nc"
+file=tropflux_id_env+'sphum_monthly_1960_2010_oafluxgrid.nc'
 initncdf, file
 icoads=read_ncdf("sphum", st, en , file=file,/nostr, box=box)
 help, icoads
 
-dir="/Volumes/Sanathana/monthly_met_var/"
-file=dir+"q2m_TropFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+'q2m_TropFlux_global_monthly_1989_2009.nc'
 initncdf, file
 trop=read_ncdf("q2m", st, en , file=file,/nostr, box=box)
 help, trop
 
-file=dir+"q2m_OAFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"q2m_OAFlux_global_monthly_1989_2009.nc"
 initncdf, file
 oaf=read_ncdf("q2m", st, en , file=file,/nostr, box=box)
 help, oaf
 
-file=dir+"q2m_ERAI_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"q2m_ERAI_global_monthly_1989_2009.nc"
 initncdf, file
 erai=read_ncdf("q2m", st, en , file=file,/nostr, box=box)
 help, erai
 
-file=dir+"q2m_NCEP2_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"q2m_NCEP2_global_monthly_1989_2009.nc"
 initncdf, file
 ncep2=1000*read_ncdf("q2m", st, en , file=file,/nostr, box=box)
 help, ncep2
 
-file=dir+"q2m_NCEP1_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"q2m_NCEP1_global_monthly_1989_2009.nc"
 initncdf, file
 ncep1=1000*read_ncdf("q2m", st, en , file=file,/nostr, box=box)
@@ -209,7 +254,7 @@
 
 closeps
-fig="icoads_q2m_stats_paper.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
+fig=tropflux_od_env+"icoads_q2m_stats_paper.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 return
 end
